import Vue from 'vue'
import App from './App'
import api from './plugin/api'
import uiconfig from './plugin/uiconfig'
import uView from "uview-ui";
import utils from './plugin/utils'
// 引入 uni-rate 和 uni-icons
import uniRate from '@dcloudio/uni-ui/lib/uni-rate/uni-rate.vue'
import uniIcons from '@dcloudio/uni-ui/lib/uni-icons/uni-icons.vue'

Vue.component('uni-rate', uniRate)
Vue.component('uni-icons', uniIcons) // 注册 uni-icons
Vue.use(api)
Vue.use(uView)
Vue.config.productionTip = false
Vue.prototype.$uiConfig = uiconfig
Vue.prototype.$utils = utils
App.mpType = 'app'

const app = new Vue({
    ...App
})
app.$mount()